import { AfterViewChecked, ElementRef, InjectionToken, KeyValueDiffers, OnDestroy, OnInit } from '@angular/core';
import { AbstractControl, AbstractControlDirective } from '@angular/forms';
import { NgFormValidateDirective } from './template-forms/ng-form-validate.directive';
import { ValidateConfigService } from './validate-config.service';
import * as i0 from "@angular/core";
export interface IValidateAbstractControl extends AbstractControl {
    __elementValidity?: ValidityState;
}
export declare const VALIDATE_ELEMENT: InjectionToken<unknown>;
export declare abstract class AbstractValidateElementDirective implements AfterViewChecked, OnDestroy, OnInit {
    abstract errorMessage?: Record<string, string>;
    private feedbackElement?;
    private differ?;
    errorMessages: string[];
    protected abstract ngControl: AbstractControlDirective;
    protected abstract ngFormValidate: NgFormValidateDirective;
    protected abstract elementRef: ElementRef<HTMLElement | HTMLInputElement>;
    protected abstract document: Document;
    protected abstract config: ValidateConfigService;
    protected abstract keyValueDiffers: KeyValueDiffers;
    protected isGroup: boolean;
    protected feedbackElementContainer?: HTMLElement;
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    ngOnDestroy(): void;
    protected createFeedBackElement(): HTMLElement | null;
    protected inputGroupFix(): void;
    protected getErrorValue(error: string, errorValue: unknown): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractValidateElementDirective, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AbstractValidateElementDirective>;
}
