import { ElementRef, KeyValueDiffers } from '@angular/core';
import { AbstractControlDirective, FormGroupDirective, FormGroupName, NgForm } from '@angular/forms';
import { ValidateConfigService } from '../validate-config.service';
import { AbstractValidateElementDirective } from '../abstract-validate-element.directive';
import * as i0 from "@angular/core";
export declare class NgFormValidateDirective extends AbstractValidateElementDirective {
    protected ngForm: NgForm;
    protected formGroup: FormGroupDirective;
    protected formGroupName: FormGroupName;
    protected parent: NgFormValidateDirective;
    protected config: ValidateConfigService;
    protected elementRef: ElementRef<HTMLFormElement>;
    protected keyValueDiffers: KeyValueDiffers;
    protected document: Document;
    validateMode: 'feedback' | 'tooltip';
    errorMessage?: Record<string, string>;
    private children;
    wasValidated: boolean;
    protected ngFormValidate: this;
    protected ngControl: AbstractControlDirective;
    protected isGroup: boolean;
    constructor(ngForm: NgForm, formGroup: FormGroupDirective, formGroupName: FormGroupName, parent: NgFormValidateDirective, config: ValidateConfigService, elementRef: ElementRef<HTMLFormElement>, keyValueDiffers: KeyValueDiffers, document: Document);
    showValidation(): void;
    resetValidation(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgFormValidateDirective, [{ optional: true; self: true; }, { optional: true; self: true; }, { optional: true; self: true; }, { optional: true; skipSelf: true; }, null, null, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgFormValidateDirective, "form:not([ngNoForm]),ng-form,[ngForm],[formGroup],[formGroupName]", ["ngFormValidate"], { "validateMode": "validateMode"; "errorMessage": "errorMessage"; }, {}, ["children"]>;
}
